aboutsummaryrefslogtreecommitdiff
path: root/applets/install.sh
diff options
context:
space:
mode:
authorEric Andersen <andersen@codepoet.org>1999-11-15 17:33:30 +0000
committerEric Andersen <andersen@codepoet.org>1999-11-15 17:33:30 +0000
commita9c95ea6551eb3d894fcc56822c8aa394972b699 (patch)
tree59359f25ba4bd356c2dfce79735fb66db4bb4151 /applets/install.sh
parent80974fad03689b4344888820d89b514d4e4d166b (diff)
downloadbusybox-a9c95ea6551eb3d894fcc56822c8aa394972b699.tar.gz
Updates
Diffstat (limited to 'applets/install.sh')
-rwxr-xr-xapplets/install.sh11
1 files changed, 8 insertions, 3 deletions
diff --git a/applets/install.sh b/applets/install.sh
index 4a0b83254..29c9e26d9 100755
--- a/applets/install.sh
+++ b/applets/install.sh
@@ -1,16 +1,21 @@
#!/bin/sh
+set -e
+
if [ "$1" == "" ]; then
- echo "No installation directory. aborting."
+ echo "No installation directory, aborting."
exit 1;
fi
-h=`cat busybox.links`
+# can't just use cat, rmdir is not unique
+#h=`cat busybox.links`
+h=`sort busybox.links | uniq`
mkdir -p $1/bin
for i in $h ; do
+ [ ${verbose} ] && echo " making link to $i"
mkdir -p $1/`echo $i | sed -e 's/\(^.*\/\)\(.*\)/\1/g' `
- (cd $1/bin ; ln -s busybox `echo $i | sed -e 's/\(^.*\/\)\(.*\)/\2/g' ` )
+ ln -s busybox $1/bin/`echo $i | sed -e 's/\(^.*\/\)\(.*\)/\2/g' `
done
rm -f $1/bin/busybox
install -m 755 busybox $1/bin/busybox